Bug 123181 - Hang on startup when shutting down rhgb and starting xorg
Hang on startup when shutting down rhgb and starting xorg
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-05-13 13:13 EDT by Kjartan Maraas
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-12 03:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2004-05-13 13:13:38 EDT
Description of problem:

My laptop hangs right after rhgb terminates and X is about to start
up. This is a HP nc8000 laptop with a Radeon 9600 based graphics card.
The graphics card was set up to use the VESA driver, but it seems to
be working alright if I just change to use the radeon driver in the
config file. Going to test if that also resolves this hang.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Kjartan Maraas 2004-05-13 13:36:29 EDT
Setting it to use the radeon driver let me get as far as firstboot,
which promptly tried to set it back to the vesa driver. After setting
it back to radeon again and continuing it hung once more. Going to the
console I could see that firstboot was still running and alt+f8
brought me back to it. Firstboot then let me choose between 640x480
and 800x600 resolutions but it still recognizes the screen as a LCD
1600x1200 as set up during the install
Comment 2 Kjartan Maraas 2004-05-13 13:38:47 EDT
Even more confusing. When I log in right after firstboot is finished I
see that the setup is 1400x1050 and that's the max listed with xrandr.
Comment 3 Kjartan Maraas 2004-05-13 14:50:20 EDT
Ok. I goofed. 1400x1050 is the max under windows too, I was sure it
was a 1600x1200 display, but there you go. Still the default setup
using fedora core test 3 isn't really optimal.
Comment 4 Mike A. Harris 2004-10-12 03:17:23 EDT
Radeon 9600 is now supported in Fedora Core 2 and later builds

Users who have experienced this problem are encouraged to upgrade
to the latest version of Fedora Core, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.